#
# $Id$
#   
# Copyright (C) 2003 Kai Sterker <kaisterker@linuxgames.com>
# Part of the Adonthell Project http://adonthell.linuxgames.com
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY.
#
# See the COPYING file for more details.
#

import item
import adonthell

#
# Class for basic projectile weapons.
#
class projectile (item.item):

    def __init__ (self):
        item.item.__init__ (self)

        self.add_category ("Projectile")
                
    def can_equip (self, character):
        return 1
        
    def equipped (self):
        print "%s has been equipped in slot %s" % (self.Name, self.this.get_slot ().id ())
    
    def unequipped (self):
        print "%s has been removed from slot %s" % (self.Name, self.this.get_slot ().id ())
    
